Fatal(3)

NAME
Fatal - replace functions with equivalents which succeed or die

SYNOPSIS

    use Fatal qw(open close);
    sub juggle { . . . }
    import Fatal 'juggle';

DESCRIPTION
Fatal provides a way to conveniently replace functions which normally return a false value when they fail with equivalents which halt execution if they are not successful. This lets you use these functions without having to test their return values explicitly on each call. Errors are reported via die, so you can trap them using $SIG{__DIE__} if you wish to take some action before the program exits.

The do-or-die equivalents are set up simply by calling Fatal's import routine, passing it the names of the functions to be replaced. You may wrap both user-defined functions and overridable CORE operators (except exec, system which cannot be expressed via prototypes) in this way.

AUTHOR
Lionel.Cons@cern.ch

prototype updates by Ilya Zakharevich ilya@math.ohio-state.edu